# Class BoxDimensions

java.lang.Object
org.eclipse.rap.rwt.theme.BoxDimensions

All Implemented Interfaces:
  `Serializable`

public class BoxDimensions extends Object implements Serializable
Represents a set of dimensions that apply to the four edges of a widget, e.g. padding or border widths.

Since:
  3.0
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`bottom`
the value for the lower edge
`final int`
`left`
the value for the left edge
`final int`
`right`
the value for the right edge
`final int`
`top`
the value for the upper edge

## Constructor Summary

Constructors
Constructor
Description
`BoxDimensions(int top, int right, int bottom, int left)`
Creates an immutable instance of BoxDimensions.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### top

public final int top
the value for the upper edge

### right

public final int right
the value for the right edge

### bottom

public final int bottom
the value for the lower edge

### left

public final int left
the value for the left edge

## Constructor Details

### BoxDimensions

public BoxDimensions(int top, int right, int bottom, int left)
Creates an immutable instance of BoxDimensions. Values are specified in the same order as known from CSS box model, clock-wise, starting at the top.

Parameters:
  `top` - the value for the upper edge
  `right` - the value for the right edge
  `bottom` - the value for the lower edge
  `left` - the value for the left edge

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`